## org.mariadb.jdbc.internal.com.send
Class SendPamAuthPacket

    java.lang.Object
      org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
          org.mariadb.jdbc.internal.com.send.SendPamAuthPacket

All Implemented Interfaces:
  InterfaceAuthSwitchSendResponsePacket, InterfaceSendPacket

    public class SendPamAuthPacket

extends AbstractAuthSwitchSendResponsePacket
implements InterfaceAuthSwitchSendResponsePacket

Nested Class Summary
`class` `SendPamAuthPacket.RequestFocusListener` Force focus to input field.

Field Summary

Fields inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
`authData, packSeq, password, passwordCharacterEncoding`

Constructor Summary
`SendPamAuthPacket(PacketInputStream reader, String password, byte[] authData, int packSeq, String passwordCharacterEncoding)`

Method Summary
`void` `handleResultPacket(PacketInputStream reader)` Handle response packet.
`void` `send(PacketOutputStream pos)` Send native password stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendPamAuthPacket

    public SendPamAuthPacket(PacketInputStream reader,
                             String password,
                             byte[] authData,
                             int packSeq,
                             String passwordCharacterEncoding)

Method Detail

### send

    public void send(PacketOutputStream pos)
              throws IOException,
                     SQLException

  Send native password stream.

  Specified by:
    `send` in interface `InterfaceSendPacket`
  Parameters:
    `pos` - database socket
  Throws:
    `IOException` - if a connection error occur
    `SQLException`

### handleResultPacket

    public void handleResultPacket(PacketInputStream reader)
                            throws SQLException,
                                   IOException

  Description copied from class: `AbstractAuthSwitchSendResponsePacket`
  Handle response packet.

  Specified by:
    `handleResultPacket` in interface `InterfaceAuthSwitchSendResponsePacket`
  Overrides:
    `handleResultPacket` in class `AbstractAuthSwitchSendResponsePacket`
  Parameters:
    `reader` - packet fetcher
  Throws:
    `SQLException` - if any functional error occur
    `IOException` - if any connection error occur

Copyright © 2017. All rights reserved.